#include "triangles.h"
#include<bits/stdc++.h>

#define len(v) (int)v.size()
#define all(v) v.begin(), v.end()

using namespace std;
using ll = long long int;
using ld = long double;

vector<vector<int>> solve(int n) {
    Triangle a(0, 1, 2), b(0, 2, 3), c(1, 2, 3), d(3, 0, 1);
    if (compare({a, b}, {c, d}) == 0) {
        return {{0, 1, 2}, {0, 2, 3}};
    }
    for (int i = 0; i < 4; ++i) {
        for (int j = 0; j < 4; ++j) {
            if (i == j) continue;
            for (int o = 0; o < 4; ++o) {
                if (o == i) continue;
                if (o == j) continue;
                for (int k = 0; k < 4; ++k) {
                    if (k == i) continue;
                    if (k == j) continue;
                    if (k == o) continue;
                    Triangle A(i, o, k), B(i, o, j), C(j, o, k), D(o, k, i);
                    if (compare({A}, {B, C, D}) == 0) {
                        return {{i, o, j}, {j, o, k}, {k, j, i}};
                    }
                }
            }
        }
    }
}